local AL = LibStub("AceLocale-3.0")
if not AL then return end

--[==[@non-debug@
local L = AL:NewLocale("RW-2.0", "enUS", true, true)
--@end-non-debug@]==]
--@debu@
local L = AL:NewLocale("RW-2.0", "enUS", true)
--@end-debug@

if L then
	L.BOSS_ENGAGE 	= "Engaged %s."
	L.BOSS_WIN		= "%s defeted after %s."
	L.BOSS_WIPE		= "Wiped against %s after %s"	
	
	L.COMBATTIME_SEC	= "%d \1244second:seconds;"
	L.COMBATTIME_MIN	= "%d \1244minute:minutes;"
	L.COMBATTIME		= "%d \1244minute:minutes; and %d \1244second:seconds;"
	
	L.NORMAL_MODE = "Normal mode"
	L.HARD_MODE = "Hard mode"
	
	L.UNKNOWN = "unknown"
	
	L.BAR = "Timer"
	L.MESSAGE = "Message"
	L.WARNING = "Warning"
	L.ICON = "Icon"
	L.RANGE = "Range"
	
	L.BAR_DESC = "A selection of different timer bars\navailable for the selected option"
	L.WARNING_DESC = "A selection of warnings available\nfor the selected option"
	L.MESSAGE_DESC = "A selection of messages available\nfor the selected option"
	L.ICON_DESC = "Enable/Disable icons used for this event"
	
	L.BAR_CD = "Cooldown"
	L.BAR_DUR = "Duration"
	L.BAR_CAST = "Cast"
	L.BAR_NORMAL = "General bar"
	L.BAR_DUR_TARGET = "Duration on target"
	L.BAR_DUR_TARGET_STACK = "Duration on target with stack count"
	L.BAR_DUR_STACK = "Duration with stack count"
	L.BAR_BERSERK = "Berserk timer"
	
	L.BAR_CD_DESC 				= "Show the cooldown bar for |cff98F5FF%s|r"
	L.BAR_DUR_DESC 				= "Show a bar with the duration of |cff98F5FF%s|r"
	L.BAR_CAST_DESC 			= "Show the cast bar for |cff98F5FF%s|r"
	L.BAR_NORMAL_DESC 			= "Show a general timer bar"
	L.BAR_DUR_TARGET_DESC 		= "Show a bar with the name\nof the target of |cff98F5FF%s|r"
	L.BAR_DUR_TARGET_STACK_DESC = "Show a bar with the name of the\ntarget of \n|cff98F5FF%s|r including number of stacks"
	L.BAR_DUR_STACK_DESC 		= "Show a bar that shows the\nstack count of |cff98F5FF%s|r"
	L.BAR_BERSERK_DESC			= "Show a timer for Berserk"
	
	L.FORMAT_BAR_CD 			= "%s (CD)"
	L.FORMAT_BAR_DUR 			= "%s (D)"
	L.FORMAT_BAR_CAST 			= "%s"
	L.FORMAT_BAR_NORMAL 		= "%s"
	L.FORMAT_BAR_DUR_TARGET 	= "%s: >%s<"
	L.FORMAT_BAR_DUR_TARGET_STACK = "%s: >%s< x %d"
	L.FORMAT_BAR_DUR_STACK		= "%s x %d"
	L.FORMAT_BAR_BERSERK 		= "Berserk"
	
	L.MESSAGE_NORMAL 		= "General message"
	L.MESSAGE_CAST			= "Cast message" 
	L.MESSAGE_TARGET 		= "Target message"
	L.MESSAGE_TARGET_STACK 	= "Target stack message"
	L.MESSAGE_PHASE 		= "Phase message"
	
	L.MESSAGE_NORMAL_DESC 		= "Show a general message"
	L.MESSAGE_CAST_DESC			= "Show a message when |cff98F5FF%s|r is cast" 
	L.MESSAGE_TARGET_DESC 		= "Show a message when someone is target of |cff98F5FF%s|r"
	L.MESSAGE_TARGET_STACK_DESC = "Show a message when someone is target of\n|cff98F5FF%s|r and how many stacks"
	L.MESSAGE_PHASE_DESC 		= "Show a message when entering a new phase"
	
	L.FORMAT_MESSAGE_NORMAL			= "%s"
	L.FORMAT_MESSAGE_CAST 			= "Casting: <%s>"
	L.FORMAT_MESSAGE_TARGET 		= "%s: >%s<"
	L.FORMAT_MESSAGE_TARGET_STACK 	= "%s: >%s< x %d"
	L.FORMAT_MESSAGE_PHASE 			= "Phase: %d"
	
	L.WARNING_NORMAL	= "General warning"
	L.WARNING_CAST		= "Spell casting warning"
	L.WARNING_RUNAWAY   = "Runaway warning"
	
	L.WARNING_NORMAL_DESC 	= "Show a warning for the selected option"
	L.WARNING_CAST_DESC		= "Show a warning when |cff98F5FF%s|r is casted"
	L.WARNING_RUNAWAY_DESC 	= "Show a warning when you need\nto run away due to |cff98F5FF%s|r"
	
	L.FORMAT_WARNING_NORMAL = "%s"
	L.FORMAT_WARNING_CAST	= "Casting: %s"
	L.FORMAT_WARNING_RUNAWAY = "Run: %s"
	
	L.ICON_NORMAL = "dg"
	
	L.ICON_NORMAL_DESC = "dgdg"
end

--[==[@non-debug@
local L = AL:NewLocale("RW-2.0-Plugins", "enUS", true, true)
--@end-non-debug@]==]
--@debu@
local L = AL:NewLocale("RW-2.0-Plugins", "enUS", true)
--@end-debug@
if L then
	L.HEALTH_FRAME_DESC = "This plugins provides not only display for health of NPCs, but can also show stacks of certain buffs, mana situation for selected unit and more.\n\n|cffffff66Shift + Right Click:|r Cancel and hide them."
	L.MESSAGE_FRAME_DESC = "This plugin will show popup messages about important events and such"
	L.RANGE_CHECK_DESC = "This plugin provides a window that will show people who are in range to you. The range depends on the reason the window is shown.\n\nCan be toggle with the slash command |cffffff66/range|r"
	L.FLASH_DESC = "This plugin will provide a screen flash for important warnings that deserves extra attention"
	L.TIMERS_DESC = "This plugin provides timer bars. They can show timers for boss abillities including cooldowns, cast bars, enrage timer and more. They will also show timers for important events that happen during an encounter.\n\n|cffffff66Shift + Right Click:|r Cancel and hide them.\n|cffffff66Shift + Left Click:|r Announce to your party/raid"
	L.WARNING_FRAME_DESC = "The warning frame shows the most important messages in the middle of the screen in large size togehter with a choosen sound"
	L.GLOBAL_SETTINGS_DESC = "Changes in the global settings will change the look of all objects using them. For example setting the font will change the font used by all Alert Plugins. Thought some changes will have no effect on some parts, like the font color will not change the color on warnings and messages since they have their own setting for that."
	L.FILTER_DESC = "Here you can select what kind of things you want to filter out. Things like raid warnings from other known boss mods. Send automatic replies to people that whisper you while you are fighting some boss and so on."
	L.STATS_DESC = [[The statistic will record and keep track of how many times you have killed or wiped against each boss.
With the |cffffff66Reset Character|r button you can reset all the saved data for the selected character. You can also reset the settings per boss by pressing the button in the column furthest to the right.
The statistics will be shown in the format of |cffffff66(Heroic)/(Normal)|r]]
	
	L.ALERT_PLUGINS_DESC = "Under this category you will find all plugins that are used to warn or give you information during bossfights and their settingss"
	L.MISC_PLUGINS_DESC = "Miscellaneous plugins."

	L.FADE_OUT_TIME = "Fade out time"
	L.FADE_OUT_TIME_DESC = "Control the time it takes for each message to fade out."
	
	L.GROW_UP = "Grow upwards"
	L.GROW_UP_DESC = "Toggle elements growing upwards or downwards."
	
	L.RESET_POSITION = "Reset position"
	L.RESET_POSITION_DESC = "Reset the position of the message frame"
	
	L.RESET_SETTINGS = "Reset Settings"
	L.RESET_SETTINGS_DESC = "Will reset all settings for this plugin to default"
	
	L.RANDOM_MESSAGE_RESTART = "Bars respawning"
	
	L.FONT_MAIN = "Font settings"
	L.FONT = "Font"
	L.FONT_SIZE = "Font size"
	L.FONT_COLOR = "Font color"
	L.FONT_OUTLINE = "Font outline"
	L.FONT_OUTLINE_DESC = "The type out outlining of the fonts"
	
	L.TEXTURE_MAIN = "Texture settings"
	L.BORDER = "Border"
	L.BORDER_COLOR = "Border color"
	L.BORDER_SIZE = "Border size"
	L.BAR_TEXTURE = "Bar texture"
	L.BAR_COLOR = "Bar color"
	
	L.SIZE_SETTINGS = "Size settings"
	L.WIDTH	= "Width"
	L.HEIGHT = "Height"
	
	L.ANIMATION_SETTINGS = "Animation settings"
	L.ANIMATE_TRANSITIONS = "Enable"
	L.ANIMATE_TRANSITIONS_DESC = "Toggle the use of animating transitions"
	L.ANIMATE_SPEED	= "Animation speed"
	L.ANIMATE_SPEED_DESC = "Adjust the speed of the transition animations"
	
	L.BAR_DURATION = "Time settings"
	L.BAR_DURATION_DESC = "These settings will control for how long the timers stay at each anchor, for example setting |cffffff66Short anchor|r to 15s will make all timers end up at the |cffffff66Short anchor|r when they have 15s or less left. All timers that have more time left then the time set for the |cffffff66Normal anchor|r will end up on the |cffffff66Long anchor|r."
	
	L.USE_MODEL = "Use 3D-model"
	L.USE_MODEL_DESC = "Use 3D-models instead of the normal portrait texture."
	
	L.RANGE = "Range (%dy)"
	
	L.DEAD	= "Dead"
	
	-- Filter
	L.RW_CHAT_RESPONSE	= " Currently fighting %s (%0.1f%%) (%s), (%d/%d alive)"
	L.RW_CHAT_PREFIX	= "<RW>"
	
	-- Stats
	L.BOSS_FIRST_KILL = "First Kill!, Congratulations!"
	L.BOSS_NEW_BEST = "New fastest kill! Old was %s"
	L.BOSS_NOT_BEST = "Your best is so far is %s."
end
